/**
 * Created by fran lopez on 9/11/15.
 */

    /**
     * CommonJS module to define a e2e test to check operations with
     * tv serie reviews using the views defined in path
     * "/public/tvSerieReviews/views".
     */

    describe('TV Serie Reviews E2E Tests:', function() {
        describe('Test for tv serie reviews', function() {
            it('Should not be able to find tv serie reviews, because the tv serie ID used in the URL is wrong', function() {

                browser.get('http://localhost:3000/#!/tvSerieReviews/fds45a4dsa6a');
                expect(element(by.id('errorLabel')).isPresent()).toBe(true);
            });

            it('Should be able to find tv serie reviews, because the tv serie ID used in the URL is correct', function() {

                browser.get('http://localhost:3000/#!/tvSerieReviews/56b75caf684f5f58093765ff');
                expect(element(by.css('li label')).isPresent()).toBe(true);
            });
        });
    });